POST
/
platformapi
/
chainup
/
open
/
record
/
feeSharing_exchange_detail
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/record/feeSharing_exchange_detail
{
    "code": "0",
    "msg": "suc",
    "data": {
        "count": 1,
        "list": [
            {
                "symbol": "eosusdt",
                "qouteValueSub": "0.0",
                "rebateRateSymbol": "",
                "baseRebateFeeValueStr": "null",
                "maxDivideRate": "0.00040000",
                "baseValueAll": "931306.7033",
                "quote": "USDT",
                "takerRate": "0.001",
                "quoteRateSymbol": "USDT",
                "qouteFeeValue": "0.0",
                "baseConvertValue": "0.0",
                "qouteValueAll": "503931.7538081971",
                "baseFeeValue": "0.00000000",
                "baseRateSymbol": "EOS",
                "qouteRebateFeeValue": "0.0",
                "makerRate": "0.001",
                "baseRate": "0.541101821797",
                "incomeDivideRate": "0.2",
                "itemDate": "1696995398000",
                "remark": "",
                "qouteConvertValue": "0.0",
                "baseRebateFeeValue": "0.0",
                "sumConvertValue": "0.0",
                "rebateConvertValue": "0.0",
                "volumeDivideRate": "4.0E-4",
                "rebate": null,
                "quoteRate": "1.0",
                "rateTime": "1696995398000",
                "rebateRate": "0.0",
                "countTime": "1696994410000",
                "qouteConvertValueStr": "null",
                "billingStatus": "1",
                "baseValueSub": "0.0",
                "base": "EOS"
            }
        ]
    }
}

Params:
Usually all the data will go through three stages:

  1. Statistic: We collect all the original data
  2. Calculated: Then we calculate the original data to get the numbers such as: income of division fee
  3. Settled account: Finally, we settle those values to corresponding fee pooling UID. For the needs of reconciliation, “settled account” is essential for merchants to check and fetch data

Query Parameters

appKey
string
required

Merchant AppKey

Example: xxx_xxx

symbol
string

Currency pair

itemDateStart
string

Start Time No Time The latest 7 days are displayed by default.

Example: 1696994410000

itemDateEnd
string

End time.

Example: 1696994410000

pageSize
string

Number of pages per page (default 10, max 1000, can be equal to 1000).

Example: 20

page
string

Default= 1 .

Example: 1

billstatus
string

Status: 0 Statistic, 1 Calculated, 3 Settled accounts ,-999 all.

Example: 1

sign
string
required

Signature

Example: 2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd

Response

200 - application/json
code
string

Return code.

Example: 0

msg
string

Success or failure message

Example: Success

data
object